Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network60.0.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
60.0.0.0
Broadcast address
60.0.31.255
First usable
60.0.0.1
Last usable
60.0.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 3C000000 · Integer 1006632960 to 1006641151
Reverse DNS zones
0.0.60.in-addr.arpa
1.0.60.in-addr.arpa
2.0.60.in-addr.arpa
3.0.60.in-addr.arpa
4.0.60.in-addr.arpa
5.0.60.in-addr.arpa
6.0.60.in-addr.arpa
7.0.60.in-addr.arpa
8.0.60.in-addr.arpa
9.0.60.in-addr.arpa
10.0.60.in-addr.arpa
11.0.60.in-addr.arpa
12.0.60.in-addr.arpa
13.0.60.in-addr.arpa
14.0.60.in-addr.arpa
15.0.60.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111100.00000000.00000000.0000000060.0.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00111100.00000000.00000000.0000000060.0.0.0
Broadcast00111100.00000000.00011111.1111111160.0.31.255
Split into smaller subnets/28

60.0.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
160.0.0.0/2860.0.0.1 to 60.0.0.1460.0.0.1514
260.0.0.16/2860.0.0.17 to 60.0.0.3060.0.0.3114
360.0.0.32/2860.0.0.33 to 60.0.0.4660.0.0.4714
460.0.0.48/2860.0.0.49 to 60.0.0.6260.0.0.6314
560.0.0.64/2860.0.0.65 to 60.0.0.7860.0.0.7914
660.0.0.80/2860.0.0.81 to 60.0.0.9460.0.0.9514
760.0.0.96/2860.0.0.97 to 60.0.0.11060.0.0.11114
860.0.0.112/2860.0.0.113 to 60.0.0.12660.0.0.12714
960.0.0.128/2860.0.0.129 to 60.0.0.14260.0.0.14314
1060.0.0.144/2860.0.0.145 to 60.0.0.15860.0.0.15914
1160.0.0.160/2860.0.0.161 to 60.0.0.17460.0.0.17514
1260.0.0.176/2860.0.0.177 to 60.0.0.19060.0.0.19114
1360.0.0.192/2860.0.0.193 to 60.0.0.20660.0.0.20714
1460.0.0.208/2860.0.0.209 to 60.0.0.22260.0.0.22314
1560.0.0.224/2860.0.0.225 to 60.0.0.23860.0.0.23914
1660.0.0.240/2860.0.0.241 to 60.0.0.25460.0.0.25514
1760.0.1.0/2860.0.1.1 to 60.0.1.1460.0.1.1514
1860.0.1.16/2860.0.1.17 to 60.0.1.3060.0.1.3114
1960.0.1.32/2860.0.1.33 to 60.0.1.4660.0.1.4714
2060.0.1.48/2860.0.1.49 to 60.0.1.6260.0.1.6314
2160.0.1.64/2860.0.1.65 to 60.0.1.7860.0.1.7914
2260.0.1.80/2860.0.1.81 to 60.0.1.9460.0.1.9514
2360.0.1.96/2860.0.1.97 to 60.0.1.11060.0.1.11114
2460.0.1.112/2860.0.1.113 to 60.0.1.12660.0.1.12714
2560.0.1.128/2860.0.1.129 to 60.0.1.14260.0.1.14314
2660.0.1.144/2860.0.1.145 to 60.0.1.15860.0.1.15914
2760.0.1.160/2860.0.1.161 to 60.0.1.17460.0.1.17514
2860.0.1.176/2860.0.1.177 to 60.0.1.19060.0.1.19114
2960.0.1.192/2860.0.1.193 to 60.0.1.20660.0.1.20714
3060.0.1.208/2860.0.1.209 to 60.0.1.22260.0.1.22314
3160.0.1.224/2860.0.1.225 to 60.0.1.23860.0.1.23914
3260.0.1.240/2860.0.1.241 to 60.0.1.25460.0.1.25514
3360.0.2.0/2860.0.2.1 to 60.0.2.1460.0.2.1514
3460.0.2.16/2860.0.2.17 to 60.0.2.3060.0.2.3114
3560.0.2.32/2860.0.2.33 to 60.0.2.4660.0.2.4714
3660.0.2.48/2860.0.2.49 to 60.0.2.6260.0.2.6314
3760.0.2.64/2860.0.2.65 to 60.0.2.7860.0.2.7914
3860.0.2.80/2860.0.2.81 to 60.0.2.9460.0.2.9514
3960.0.2.96/2860.0.2.97 to 60.0.2.11060.0.2.11114
4060.0.2.112/2860.0.2.113 to 60.0.2.12660.0.2.12714
4160.0.2.128/2860.0.2.129 to 60.0.2.14260.0.2.14314
4260.0.2.144/2860.0.2.145 to 60.0.2.15860.0.2.15914
4360.0.2.160/2860.0.2.161 to 60.0.2.17460.0.2.17514
4460.0.2.176/2860.0.2.177 to 60.0.2.19060.0.2.19114
4560.0.2.192/2860.0.2.193 to 60.0.2.20660.0.2.20714
4660.0.2.208/2860.0.2.209 to 60.0.2.22260.0.2.22314
4760.0.2.224/2860.0.2.225 to 60.0.2.23860.0.2.23914
4860.0.2.240/2860.0.2.241 to 60.0.2.25460.0.2.25514
4960.0.3.0/2860.0.3.1 to 60.0.3.1460.0.3.1514
5060.0.3.16/2860.0.3.17 to 60.0.3.3060.0.3.3114
5160.0.3.32/2860.0.3.33 to 60.0.3.4660.0.3.4714
5260.0.3.48/2860.0.3.49 to 60.0.3.6260.0.3.6314
5360.0.3.64/2860.0.3.65 to 60.0.3.7860.0.3.7914
5460.0.3.80/2860.0.3.81 to 60.0.3.9460.0.3.9514
5560.0.3.96/2860.0.3.97 to 60.0.3.11060.0.3.11114
5660.0.3.112/2860.0.3.113 to 60.0.3.12660.0.3.12714
5760.0.3.128/2860.0.3.129 to 60.0.3.14260.0.3.14314
5860.0.3.144/2860.0.3.145 to 60.0.3.15860.0.3.15914
5960.0.3.160/2860.0.3.161 to 60.0.3.17460.0.3.17514
6060.0.3.176/2860.0.3.177 to 60.0.3.19060.0.3.19114
6160.0.3.192/2860.0.3.193 to 60.0.3.20660.0.3.20714
6260.0.3.208/2860.0.3.209 to 60.0.3.22260.0.3.22314
6360.0.3.224/2860.0.3.225 to 60.0.3.23860.0.3.23914
6460.0.3.240/2860.0.3.241 to 60.0.3.25460.0.3.25514
6560.0.4.0/2860.0.4.1 to 60.0.4.1460.0.4.1514
6660.0.4.16/2860.0.4.17 to 60.0.4.3060.0.4.3114
6760.0.4.32/2860.0.4.33 to 60.0.4.4660.0.4.4714
6860.0.4.48/2860.0.4.49 to 60.0.4.6260.0.4.6314
6960.0.4.64/2860.0.4.65 to 60.0.4.7860.0.4.7914
7060.0.4.80/2860.0.4.81 to 60.0.4.9460.0.4.9514
7160.0.4.96/2860.0.4.97 to 60.0.4.11060.0.4.11114
7260.0.4.112/2860.0.4.113 to 60.0.4.12660.0.4.12714
7360.0.4.128/2860.0.4.129 to 60.0.4.14260.0.4.14314
7460.0.4.144/2860.0.4.145 to 60.0.4.15860.0.4.15914
7560.0.4.160/2860.0.4.161 to 60.0.4.17460.0.4.17514
7660.0.4.176/2860.0.4.177 to 60.0.4.19060.0.4.19114
7760.0.4.192/2860.0.4.193 to 60.0.4.20660.0.4.20714
7860.0.4.208/2860.0.4.209 to 60.0.4.22260.0.4.22314
7960.0.4.224/2860.0.4.225 to 60.0.4.23860.0.4.23914
8060.0.4.240/2860.0.4.241 to 60.0.4.25460.0.4.25514
8160.0.5.0/2860.0.5.1 to 60.0.5.1460.0.5.1514
8260.0.5.16/2860.0.5.17 to 60.0.5.3060.0.5.3114
8360.0.5.32/2860.0.5.33 to 60.0.5.4660.0.5.4714
8460.0.5.48/2860.0.5.49 to 60.0.5.6260.0.5.6314
8560.0.5.64/2860.0.5.65 to 60.0.5.7860.0.5.7914
8660.0.5.80/2860.0.5.81 to 60.0.5.9460.0.5.9514
8760.0.5.96/2860.0.5.97 to 60.0.5.11060.0.5.11114
8860.0.5.112/2860.0.5.113 to 60.0.5.12660.0.5.12714
8960.0.5.128/2860.0.5.129 to 60.0.5.14260.0.5.14314
9060.0.5.144/2860.0.5.145 to 60.0.5.15860.0.5.15914
9160.0.5.160/2860.0.5.161 to 60.0.5.17460.0.5.17514
9260.0.5.176/2860.0.5.177 to 60.0.5.19060.0.5.19114
9360.0.5.192/2860.0.5.193 to 60.0.5.20660.0.5.20714
9460.0.5.208/2860.0.5.209 to 60.0.5.22260.0.5.22314
9560.0.5.224/2860.0.5.225 to 60.0.5.23860.0.5.23914
9660.0.5.240/2860.0.5.241 to 60.0.5.25460.0.5.25514
9760.0.6.0/2860.0.6.1 to 60.0.6.1460.0.6.1514
9860.0.6.16/2860.0.6.17 to 60.0.6.3060.0.6.3114
9960.0.6.32/2860.0.6.33 to 60.0.6.4660.0.6.4714
10060.0.6.48/2860.0.6.49 to 60.0.6.6260.0.6.6314
10160.0.6.64/2860.0.6.65 to 60.0.6.7860.0.6.7914
10260.0.6.80/2860.0.6.81 to 60.0.6.9460.0.6.9514
10360.0.6.96/2860.0.6.97 to 60.0.6.11060.0.6.11114
10460.0.6.112/2860.0.6.113 to 60.0.6.12660.0.6.12714
10560.0.6.128/2860.0.6.129 to 60.0.6.14260.0.6.14314
10660.0.6.144/2860.0.6.145 to 60.0.6.15860.0.6.15914
10760.0.6.160/2860.0.6.161 to 60.0.6.17460.0.6.17514
10860.0.6.176/2860.0.6.177 to 60.0.6.19060.0.6.19114
10960.0.6.192/2860.0.6.193 to 60.0.6.20660.0.6.20714
11060.0.6.208/2860.0.6.209 to 60.0.6.22260.0.6.22314
11160.0.6.224/2860.0.6.225 to 60.0.6.23860.0.6.23914
11260.0.6.240/2860.0.6.241 to 60.0.6.25460.0.6.25514
11360.0.7.0/2860.0.7.1 to 60.0.7.1460.0.7.1514
11460.0.7.16/2860.0.7.17 to 60.0.7.3060.0.7.3114
11560.0.7.32/2860.0.7.33 to 60.0.7.4660.0.7.4714
11660.0.7.48/2860.0.7.49 to 60.0.7.6260.0.7.6314
11760.0.7.64/2860.0.7.65 to 60.0.7.7860.0.7.7914
11860.0.7.80/2860.0.7.81 to 60.0.7.9460.0.7.9514
11960.0.7.96/2860.0.7.97 to 60.0.7.11060.0.7.11114
12060.0.7.112/2860.0.7.113 to 60.0.7.12660.0.7.12714
12160.0.7.128/2860.0.7.129 to 60.0.7.14260.0.7.14314
12260.0.7.144/2860.0.7.145 to 60.0.7.15860.0.7.15914
12360.0.7.160/2860.0.7.161 to 60.0.7.17460.0.7.17514
12460.0.7.176/2860.0.7.177 to 60.0.7.19060.0.7.19114
12560.0.7.192/2860.0.7.193 to 60.0.7.20660.0.7.20714
12660.0.7.208/2860.0.7.209 to 60.0.7.22260.0.7.22314
12760.0.7.224/2860.0.7.225 to 60.0.7.23860.0.7.23914
12860.0.7.240/2860.0.7.241 to 60.0.7.25460.0.7.25514
12960.0.8.0/2860.0.8.1 to 60.0.8.1460.0.8.1514
13060.0.8.16/2860.0.8.17 to 60.0.8.3060.0.8.3114
13160.0.8.32/2860.0.8.33 to 60.0.8.4660.0.8.4714
13260.0.8.48/2860.0.8.49 to 60.0.8.6260.0.8.6314
13360.0.8.64/2860.0.8.65 to 60.0.8.7860.0.8.7914
13460.0.8.80/2860.0.8.81 to 60.0.8.9460.0.8.9514
13560.0.8.96/2860.0.8.97 to 60.0.8.11060.0.8.11114
13660.0.8.112/2860.0.8.113 to 60.0.8.12660.0.8.12714
13760.0.8.128/2860.0.8.129 to 60.0.8.14260.0.8.14314
13860.0.8.144/2860.0.8.145 to 60.0.8.15860.0.8.15914
13960.0.8.160/2860.0.8.161 to 60.0.8.17460.0.8.17514
14060.0.8.176/2860.0.8.177 to 60.0.8.19060.0.8.19114
14160.0.8.192/2860.0.8.193 to 60.0.8.20660.0.8.20714
14260.0.8.208/2860.0.8.209 to 60.0.8.22260.0.8.22314
14360.0.8.224/2860.0.8.225 to 60.0.8.23860.0.8.23914
14460.0.8.240/2860.0.8.241 to 60.0.8.25460.0.8.25514
14560.0.9.0/2860.0.9.1 to 60.0.9.1460.0.9.1514
14660.0.9.16/2860.0.9.17 to 60.0.9.3060.0.9.3114
14760.0.9.32/2860.0.9.33 to 60.0.9.4660.0.9.4714
14860.0.9.48/2860.0.9.49 to 60.0.9.6260.0.9.6314
14960.0.9.64/2860.0.9.65 to 60.0.9.7860.0.9.7914
15060.0.9.80/2860.0.9.81 to 60.0.9.9460.0.9.9514
15160.0.9.96/2860.0.9.97 to 60.0.9.11060.0.9.11114
15260.0.9.112/2860.0.9.113 to 60.0.9.12660.0.9.12714
15360.0.9.128/2860.0.9.129 to 60.0.9.14260.0.9.14314
15460.0.9.144/2860.0.9.145 to 60.0.9.15860.0.9.15914
15560.0.9.160/2860.0.9.161 to 60.0.9.17460.0.9.17514
15660.0.9.176/2860.0.9.177 to 60.0.9.19060.0.9.19114
15760.0.9.192/2860.0.9.193 to 60.0.9.20660.0.9.20714
15860.0.9.208/2860.0.9.209 to 60.0.9.22260.0.9.22314
15960.0.9.224/2860.0.9.225 to 60.0.9.23860.0.9.23914
16060.0.9.240/2860.0.9.241 to 60.0.9.25460.0.9.25514
16160.0.10.0/2860.0.10.1 to 60.0.10.1460.0.10.1514
16260.0.10.16/2860.0.10.17 to 60.0.10.3060.0.10.3114
16360.0.10.32/2860.0.10.33 to 60.0.10.4660.0.10.4714
16460.0.10.48/2860.0.10.49 to 60.0.10.6260.0.10.6314
16560.0.10.64/2860.0.10.65 to 60.0.10.7860.0.10.7914
16660.0.10.80/2860.0.10.81 to 60.0.10.9460.0.10.9514
16760.0.10.96/2860.0.10.97 to 60.0.10.11060.0.10.11114
16860.0.10.112/2860.0.10.113 to 60.0.10.12660.0.10.12714
16960.0.10.128/2860.0.10.129 to 60.0.10.14260.0.10.14314
17060.0.10.144/2860.0.10.145 to 60.0.10.15860.0.10.15914
17160.0.10.160/2860.0.10.161 to 60.0.10.17460.0.10.17514
17260.0.10.176/2860.0.10.177 to 60.0.10.19060.0.10.19114
17360.0.10.192/2860.0.10.193 to 60.0.10.20660.0.10.20714
17460.0.10.208/2860.0.10.209 to 60.0.10.22260.0.10.22314
17560.0.10.224/2860.0.10.225 to 60.0.10.23860.0.10.23914
17660.0.10.240/2860.0.10.241 to 60.0.10.25460.0.10.25514
17760.0.11.0/2860.0.11.1 to 60.0.11.1460.0.11.1514
17860.0.11.16/2860.0.11.17 to 60.0.11.3060.0.11.3114
17960.0.11.32/2860.0.11.33 to 60.0.11.4660.0.11.4714
18060.0.11.48/2860.0.11.49 to 60.0.11.6260.0.11.6314
18160.0.11.64/2860.0.11.65 to 60.0.11.7860.0.11.7914
18260.0.11.80/2860.0.11.81 to 60.0.11.9460.0.11.9514
18360.0.11.96/2860.0.11.97 to 60.0.11.11060.0.11.11114
18460.0.11.112/2860.0.11.113 to 60.0.11.12660.0.11.12714
18560.0.11.128/2860.0.11.129 to 60.0.11.14260.0.11.14314
18660.0.11.144/2860.0.11.145 to 60.0.11.15860.0.11.15914
18760.0.11.160/2860.0.11.161 to 60.0.11.17460.0.11.17514
18860.0.11.176/2860.0.11.177 to 60.0.11.19060.0.11.19114
18960.0.11.192/2860.0.11.193 to 60.0.11.20660.0.11.20714
19060.0.11.208/2860.0.11.209 to 60.0.11.22260.0.11.22314
19160.0.11.224/2860.0.11.225 to 60.0.11.23860.0.11.23914
19260.0.11.240/2860.0.11.241 to 60.0.11.25460.0.11.25514
19360.0.12.0/2860.0.12.1 to 60.0.12.1460.0.12.1514
19460.0.12.16/2860.0.12.17 to 60.0.12.3060.0.12.3114
19560.0.12.32/2860.0.12.33 to 60.0.12.4660.0.12.4714
19660.0.12.48/2860.0.12.49 to 60.0.12.6260.0.12.6314
19760.0.12.64/2860.0.12.65 to 60.0.12.7860.0.12.7914
19860.0.12.80/2860.0.12.81 to 60.0.12.9460.0.12.9514
19960.0.12.96/2860.0.12.97 to 60.0.12.11060.0.12.11114
20060.0.12.112/2860.0.12.113 to 60.0.12.12660.0.12.12714
20160.0.12.128/2860.0.12.129 to 60.0.12.14260.0.12.14314
20260.0.12.144/2860.0.12.145 to 60.0.12.15860.0.12.15914
20360.0.12.160/2860.0.12.161 to 60.0.12.17460.0.12.17514
20460.0.12.176/2860.0.12.177 to 60.0.12.19060.0.12.19114
20560.0.12.192/2860.0.12.193 to 60.0.12.20660.0.12.20714
20660.0.12.208/2860.0.12.209 to 60.0.12.22260.0.12.22314
20760.0.12.224/2860.0.12.225 to 60.0.12.23860.0.12.23914
20860.0.12.240/2860.0.12.241 to 60.0.12.25460.0.12.25514
20960.0.13.0/2860.0.13.1 to 60.0.13.1460.0.13.1514
21060.0.13.16/2860.0.13.17 to 60.0.13.3060.0.13.3114
21160.0.13.32/2860.0.13.33 to 60.0.13.4660.0.13.4714
21260.0.13.48/2860.0.13.49 to 60.0.13.6260.0.13.6314
21360.0.13.64/2860.0.13.65 to 60.0.13.7860.0.13.7914
21460.0.13.80/2860.0.13.81 to 60.0.13.9460.0.13.9514
21560.0.13.96/2860.0.13.97 to 60.0.13.11060.0.13.11114
21660.0.13.112/2860.0.13.113 to 60.0.13.12660.0.13.12714
21760.0.13.128/2860.0.13.129 to 60.0.13.14260.0.13.14314
21860.0.13.144/2860.0.13.145 to 60.0.13.15860.0.13.15914
21960.0.13.160/2860.0.13.161 to 60.0.13.17460.0.13.17514
22060.0.13.176/2860.0.13.177 to 60.0.13.19060.0.13.19114
22160.0.13.192/2860.0.13.193 to 60.0.13.20660.0.13.20714
22260.0.13.208/2860.0.13.209 to 60.0.13.22260.0.13.22314
22360.0.13.224/2860.0.13.225 to 60.0.13.23860.0.13.23914
22460.0.13.240/2860.0.13.241 to 60.0.13.25460.0.13.25514
22560.0.14.0/2860.0.14.1 to 60.0.14.1460.0.14.1514
22660.0.14.16/2860.0.14.17 to 60.0.14.3060.0.14.3114
22760.0.14.32/2860.0.14.33 to 60.0.14.4660.0.14.4714
22860.0.14.48/2860.0.14.49 to 60.0.14.6260.0.14.6314
22960.0.14.64/2860.0.14.65 to 60.0.14.7860.0.14.7914
23060.0.14.80/2860.0.14.81 to 60.0.14.9460.0.14.9514
23160.0.14.96/2860.0.14.97 to 60.0.14.11060.0.14.11114
23260.0.14.112/2860.0.14.113 to 60.0.14.12660.0.14.12714
23360.0.14.128/2860.0.14.129 to 60.0.14.14260.0.14.14314
23460.0.14.144/2860.0.14.145 to 60.0.14.15860.0.14.15914
23560.0.14.160/2860.0.14.161 to 60.0.14.17460.0.14.17514
23660.0.14.176/2860.0.14.177 to 60.0.14.19060.0.14.19114
23760.0.14.192/2860.0.14.193 to 60.0.14.20660.0.14.20714
23860.0.14.208/2860.0.14.209 to 60.0.14.22260.0.14.22314
23960.0.14.224/2860.0.14.225 to 60.0.14.23860.0.14.23914
24060.0.14.240/2860.0.14.241 to 60.0.14.25460.0.14.25514
24160.0.15.0/2860.0.15.1 to 60.0.15.1460.0.15.1514
24260.0.15.16/2860.0.15.17 to 60.0.15.3060.0.15.3114
24360.0.15.32/2860.0.15.33 to 60.0.15.4660.0.15.4714
24460.0.15.48/2860.0.15.49 to 60.0.15.6260.0.15.6314
24560.0.15.64/2860.0.15.65 to 60.0.15.7860.0.15.7914
24660.0.15.80/2860.0.15.81 to 60.0.15.9460.0.15.9514
24760.0.15.96/2860.0.15.97 to 60.0.15.11060.0.15.11114
24860.0.15.112/2860.0.15.113 to 60.0.15.12660.0.15.12714
24960.0.15.128/2860.0.15.129 to 60.0.15.14260.0.15.14314
25060.0.15.144/2860.0.15.145 to 60.0.15.15860.0.15.15914
25160.0.15.160/2860.0.15.161 to 60.0.15.17460.0.15.17514
25260.0.15.176/2860.0.15.177 to 60.0.15.19060.0.15.19114
25360.0.15.192/2860.0.15.193 to 60.0.15.20660.0.15.20714
25460.0.15.208/2860.0.15.209 to 60.0.15.22260.0.15.22314
25560.0.15.224/2860.0.15.225 to 60.0.15.23860.0.15.23914
25660.0.15.240/2860.0.15.241 to 60.0.15.25460.0.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses